Subject: Not understanding with git wants to copy one file to another

From: Harry Putnam <[email-masked]>
Date: Thu, 10 Aug 2017 13:03:30 -0400

I ran into a line in git commit ouput I had not see before

  #copied:     d0/etc/hosts -> misc/old-readerHOSTvcs-files/etc/hosts

So googling I learned that this might happen if git thinks the two
files are the same.

I was pretty sure they were not the same so checked them>

 <inside git repo>

diff d0/etc/host misc/old-readerHOSTvcs-files/etc/hosts

The output is a bit long but shows them being quite different.

Some 2 dozen or so lines that dramatically differ.

Here are two that are at least kind of similar but would never be seen
as the same:

< 192.168.1.43      m2.local.lan       m2       # 00-90-F5-A1-F9-E5
> 192.168.1.43    m2.local.lan        m2         # win 7

Not to mention they are quite different lines as well.

So what is going on and what should I be looking at?